Skip to main content

Type Alias: GatewayInferenceFileSearchToolCall

type GatewayInferenceFileSearchToolCall = {
[key: string]: unknown;
id: string;
type: "file_search_call";
status: "in_progress" | "searching" | "completed" | "incomplete" | "failed";
queries: string[];
results?: | {
[key: string]: unknown;
file_id?: string;
text?: string;
filename?: string;
attributes?: GatewayInferenceVectorStoreFileAttributes;
score?: number;
}[]
| null;
};

Defined in: src/models/ai-gateway-inference.ts:4029

Portkey FileSearchToolCall; additive response fields are preserved.

Example​

`GatewayInferenceFileSearchToolCallSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

id​

id: string;

Defined in: src/models/ai-gateway-inference.ts:4030


type​

type: "file_search_call";

Defined in: src/models/ai-gateway-inference.ts:4031


status​

status: "in_progress" | "searching" | "completed" | "incomplete" | "failed";

Defined in: src/models/ai-gateway-inference.ts:4032


queries​

queries: string[];

Defined in: src/models/ai-gateway-inference.ts:4033


results?​

optional results?:
| {
[key: string]: unknown;
file_id?: string;
text?: string;
filename?: string;
attributes?: GatewayInferenceVectorStoreFileAttributes;
score?: number;
}[]
| null;

Defined in: src/models/ai-gateway-inference.ts:4034